es.gob.fnmt.policy

## Enum KeyManagerPolicy.KeyUsage

- java.lang.Object
- - java.lang.Enum<KeyManagerPolicy.KeyUsage>
  - - es.gob.fnmt.policy.KeyManagerPolicy.KeyUsage

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<KeyManagerPolicy.KeyUsage>
  Enclosing class:
    KeyManagerPolicy

      public static enum KeyManagerPolicy.KeyUsage
      extends java.lang.Enum<KeyManagerPolicy.KeyUsage>

  Gets a boolean array representing bits of KeyUsage ::= BIT STRING { digitalSignature (0), nonRepudiation (1), keyEncipherment (2), dataEncipherment (3), keyAgreement (4), keyCertSign (5), cRLSign (6), encipherOnly (7), decipherOnly (8) }

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `cRLSign`
    `dataEncipherment`
    `decipherOnly`
    `digitalSignature`
    `encipherOnly`
    `keyAgreement`
    `keyCertSign`
    `keyEncipherment`
    `nonRepudiation`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KeyManagerPolicy.KeyUsage` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static KeyManagerPolicy.KeyUsage[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### cRLSign

          public static final KeyManagerPolicy.KeyUsage cRLSign

    - #### dataEncipherment

          public static final KeyManagerPolicy.KeyUsage dataEncipherment

    - #### decipherOnly

          public static final KeyManagerPolicy.KeyUsage decipherOnly

    - #### digitalSignature

          public static final KeyManagerPolicy.KeyUsage digitalSignature

    - #### encipherOnly

          public static final KeyManagerPolicy.KeyUsage encipherOnly

    - #### keyAgreement

          public static final KeyManagerPolicy.KeyUsage keyAgreement

    - #### keyCertSign

          public static final KeyManagerPolicy.KeyUsage keyCertSign

    - #### keyEncipherment

          public static final KeyManagerPolicy.KeyUsage keyEncipherment

    - #### nonRepudiation

          public static final KeyManagerPolicy.KeyUsage nonRepudiation

  - ### Method Detail

    - #### valueOf

          public static KeyManagerPolicy.KeyUsage valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static KeyManagerPolicy.KeyUsage[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KeyManagerPolicy.KeyUsage c : KeyManagerPolicy.KeyUsage.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared